/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDL_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DM_BILLFUNCTION') 
 CREATE TABLE T_DM_BILLFUNCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCLASSNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FFORMID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDEFFORMULA VARCHAR(200) DEFAULT ' ' NOT NULL,
FRETURNTYPE VARCHAR(30) DEFAULT 'Object' NOT NULL,
FFUNCTYPE VARCHAR(30) DEFAULT 'bill' NOT NULL,
FISV VARCHAR(30) DEFAULT ' ' NOT NULL,
FSHOWSEQ INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSYSDISABLE CHAR(1) DEFAULT '0' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DM_BILLFUNCTION_L') 
 CREATE TABLE T_DM_BILLFUNCTION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(500) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDL_table.sql **/
